.ruituo_download_list {
    --bg-page: #032F56;
    --card-bg-color: #071B2D;
    --text-color: #c6cbd5;
    --title-text-color: #fff;
    --bg-page-second: #05233d;

    background-color: var(--bg-page-second);
    padding-top: 110px;
    padding-bottom: 120px;
}

.ruituo_download_list_title {
    font-size: var(--ruituo-inner-title);
    margin-bottom: 50px;
}

.ruituo_download_list .download_list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    position: relative;
}

.ruituo_download_list .download_item {
    width: calc(50% - 25px);
    margin-bottom: 15px;
    display: flex;
    align-items: center;
    padding: 20px;
    background-color: var(--card-bg-color);
    height: 80px;
    border-radius: 8px;
    gap: 20px;
    transition: all 0.3s ease;
}

.ruituo_download_list .download_item:hover {
    background-color: var(--color-second);
}


.ruituo_download_list .download_item:hover a {
    background-color: var(--color-primary);
    color: #111;
}

.ruituo_download_list .download_item a {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 8px 20px;
    margin-left: auto;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.625;
    color: var(--title-text-color);
    border-radius: 8px;
    border: 1px solid var(--color-primary);
    background-color: var(--card-bg-color);
    transition: all 0.3s ease;
}

.ruituo_download_list .download_item a:hover {
    gap: 14px;
}

.ruituo_download_list .title_box {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.ruituo_download_list .title_box h5 {
    color: #FFF;
    font-size: 18px;
    font-weight: 400;
    line-height: 1.66;
}

.ruituo_download_list .title_box span {
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5;
    color: var(--text-color);
}

.ruituo_download_list .title_box h5,
.ruituo_download_list .title_box span {
    display: -webkit-box;
    line-clamp: 1;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.ruituo_download_list .download_item_icon {
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-primary);
    border-radius: 50%;
    flex-shrink: 0;
}

/* 
  pagenation
*/
.ruituo_download_list_page #pagesize ul li a {
    background: var(--bg-page-second) !important;
    border-color: var(--text-color) !important;
    border-radius: 2px;
    color: var(--title-text-color) !important;
    margin: 0 5px !important;
}

.ruituo_download_list_page #pagesize ul li a.active {
    background: var(--color-primary) !important;
    border-color: var(--color-primary) !important;
}

.ruituo_download_list_page #pagesize ul li a:hover {
    color: var(--color-primary) !important;
    border-color: var(--color-primary) !important;
    box-shadow: none !important;
}

.ruituo_download_list_page #pagesize ul li a.active:hover {
    color: var(--title-text-color) !important;
}

@media screen and (max-width: 1200px) {
    .ruituo_download_list .download_item {
        width: calc(50% - 10px);
        gap: 16px;
    }

    .ruituo_download_list .download_item a {
        gap: 4px;
        padding: 6px 12px;
    }

    .ruituo_download_list .download_item a:hover {
        gap: 8px;
    }
}

@media screen and (max-width: 992px) {
    .ruituo_download_list .download_item {
        width: calc(50% - 8px);
        margin-bottom: 16px;
        gap: 10px;
        padding: 10px;
        height: 70px;
    }

    .ruituo_download_list .download_item_icon {
        width: 40px;
        height: 40px;
    }

    .ruituo_download_list .download_item_icon svg {
        width: 22px;
        height: 22px;
    }

    .ruituo_download_list .title_box h5 {
        font-size: 16px;
    }

    .ruituo_download_list .download_item a {
        padding: 4px 8px;
        font-size: 14px;
    }

}

@media screen and (max-width: 768px) {

    .ruituo_download_list .download_item {
        width: 100%;
        padding: 20px;
    }

}